Skip to main content
GET
GET /discounts/{discount_id}/customers

Authorizations

Authorization
string
header
required

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Path Parameters

discount_id
string
required

Discount Id

Query Parameters

page_size
integer<int32>

Page size (default = 10, max = 100).

Required range: x >= 0
page_number
integer<int32>

Page number (default = 0).

Required range: x >= 0

Response

Paginated list of attached customers

items
object[]
required
Last modified on August 5, 2026